Debian Bug report logs - #674811
haskell-cryptocipher testsuite failure on mips et. al.

version graph

Package: haskell-cryptocipher; Maintainer for haskell-cryptocipher is Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>;

Reported by: Joachim Breitner <nomeata@debian.org>

Date: Sun, 27 May 2012 21:42:01 UTC

Severity: serious

Tags: confirmed, upstream

Found in version 0.3.3-1

Fixed in version haskell-cryptocipher/0.3.3-2

Done: Joachim Breitner <nomeata@debian.org>

Bug is archived. No further changes may be made.

Forwarded to https://github.com/vincenthz/hs-cryptocipher/issues/16

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>:
Bug#674811; Package haskell-cryptocipher. (Sun, 27 May 2012 21:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joachim Breitner <nomeata@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>. (Sun, 27 May 2012 21:42:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: Debian Haskell Group <debian-haskell@lists.debian.org>
Subject: haskell-cryptocipher testsuite failure on mips et. al.
Date: Sun, 27 May 2012 23:38:03 +0200
[Message part 1 (text/plain, inline)]
Package: haskell-cryptocipher
Version: 0.3.3-1 
Severity: serious

Hi,

the enabling of test suits seems to pay off (in more work :-).

haskell-cryptocipher FTBFS on mips, powerpc, s390 with a failure in the
testsuite. All AES tests fail. See.
https://buildd.debian.org/status/fetch.php?pkg=haskell-cryptocipher&arch=mips&ver=0.3.3-1&stamp=1338106608

Who wants to take care of that? For a change a maybe more challenging
task here in the DHG, instead of the usual, rather tedious tasks.

This is release critical for the complete haskell migration!

Greetings,
Joachim


-- 
Joachim "nomeata" Breitner
Debian Developer
  nomeata@debian.org | ICQ# 74513189 | GPG-Keyid: 4743206C
  JID: nomeata@joachim-breitner.de | http://people.debian.org/~nomeata
[signature.asc (application/pgp-signature, inline)]

Set Bug forwarded-to-address to 'https://github.com/vincenthz/hs-cryptocipher/issues/16'. Request was from Joachim Breitner <nomeata@debian.org> to control@bugs.debian.org. (Sat, 02 Jun 2012 15:57:05 GMT) Full text and rfc822 format available.

Added tag(s) upstream. Request was from Joachim Breitner <nomeata@debian.org> to control@bugs.debian.org. (Sat, 02 Jun 2012 15:57:06 GMT) Full text and rfc822 format available.

Added tag(s) confirmed. Request was from Joachim Breitner <nomeata@debian.org> to control@bugs.debian.org. (Sat, 02 Jun 2012 15:57:07 GMT) Full text and rfc822 format available.

Reply sent to Joachim Breitner <nomeata@debian.org>:
You have taken responsibility. (Fri, 08 Jun 2012 09:37:11 GMT) Full text and rfc822 format available.

Notification sent to Joachim Breitner <nomeata@debian.org>:
Bug acknowledged by developer. (Fri, 08 Jun 2012 09:37:32 GMT) Full text and rfc822 format available.

Message #16 received at 674811-close@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: 674811-close@bugs.debian.org
Subject: Bug#674811: fixed in haskell-cryptocipher 0.3.3-2
Date: Fri, 08 Jun 2012 09:32:49 +0000
Source: haskell-cryptocipher
Source-Version: 0.3.3-2

We believe that the bug you reported is fixed in the latest version of
haskell-cryptocipher, which is due to be installed in the Debian FTP archive:

haskell-cryptocipher_0.3.3-2.debian.tar.gz
  to main/h/haskell-cryptocipher/haskell-cryptocipher_0.3.3-2.debian.tar.gz
haskell-cryptocipher_0.3.3-2.dsc
  to main/h/haskell-cryptocipher/haskell-cryptocipher_0.3.3-2.dsc
libghc-cryptocipher-dev_0.3.3-2_amd64.deb
  to main/h/haskell-cryptocipher/libghc-cryptocipher-dev_0.3.3-2_amd64.deb
libghc-cryptocipher-doc_0.3.3-2_all.deb
  to main/h/haskell-cryptocipher/libghc-cryptocipher-doc_0.3.3-2_all.deb
libghc-cryptocipher-prof_0.3.3-2_amd64.deb
  to main/h/haskell-cryptocipher/libghc-cryptocipher-prof_0.3.3-2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 674811@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Joachim Breitner <nomeata@debian.org> (supplier of updated haskell-cryptocipher package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 08 Jun 2012 11:15:53 +0200
Source: haskell-cryptocipher
Binary: libghc-cryptocipher-dev libghc-cryptocipher-prof libghc-cryptocipher-doc
Architecture: source all amd64
Version: 0.3.3-2
Distribution: experimental
Urgency: low
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Changed-By: Joachim Breitner <nomeata@debian.org>
Description: 
 libghc-cryptocipher-dev - symmetrical Block, Stream and PubKey ciphers
 libghc-cryptocipher-doc - symmetrical Block, Stream and PubKey ciphers; documentation
 libghc-cryptocipher-prof - symmetrical Block, Stream and PubKey ciphers; profiling libraries
Closes: 674811
Changes: 
 haskell-cryptocipher (0.3.3-2) experimental; urgency=low
 .
   * haskell-cryptocipher on BigEndian architectures (Closes: #674811)
Checksums-Sha1: 
 5b906192c0d8298c8c1c77846f3c5c99896fe773 2427 haskell-cryptocipher_0.3.3-2.dsc
 95daf511569a9ba4c9c885e8670d349a95809230 3243 haskell-cryptocipher_0.3.3-2.debian.tar.gz
 71099fb5ad7688925a2f0419c9a924ffb4344a5e 98102 libghc-cryptocipher-doc_0.3.3-2_all.deb
 2fca63a20d870d2f46f43d72def7905361c897a8 415344 libghc-cryptocipher-dev_0.3.3-2_amd64.deb
 02a2943c0cbb5f631978b78452b98c12971600d8 367160 libghc-cryptocipher-prof_0.3.3-2_amd64.deb
Checksums-Sha256: 
 9f1f8cf5966f132e7ab66f46e2c05a133a694699a5148035d3ec817a2392fac9 2427 haskell-cryptocipher_0.3.3-2.dsc
 a67483bd5d88b9d42c5c77228056e25498682bbf8735b9cea21a1b64ddda2992 3243 haskell-cryptocipher_0.3.3-2.debian.tar.gz
 89094af7d75d5716023cf9627bdac132c5176c075e11b2990accc28dbb432d4d 98102 libghc-cryptocipher-doc_0.3.3-2_all.deb
 54ba37a7f415d4b35bb7cd1920bc48f819269c1482d825c35bbc9c4bd86cbc0c 415344 libghc-cryptocipher-dev_0.3.3-2_amd64.deb
 e43d1c072e207fcbbd2cf0219ca3d03e56f0d12d099b62e7a23a653298eab928 367160 libghc-cryptocipher-prof_0.3.3-2_amd64.deb
Files: 
 3c886c5e1da707b8e1cde9144fbf5622 2427 haskell extra haskell-cryptocipher_0.3.3-2.dsc
 660ab299506d34f4abc1a42fdfa94d23 3243 haskell extra haskell-cryptocipher_0.3.3-2.debian.tar.gz
 053fda1047d4a123e94e35736a9bd748 98102 doc extra libghc-cryptocipher-doc_0.3.3-2_all.deb
 bd32bc2daa6974fe5763d3d065f56af6 415344 haskell extra libghc-cryptocipher-dev_0.3.3-2_amd64.deb
 4c3c8a0baef217dc6ba7c395d03a7984 367160 haskell extra libghc-cryptocipher-prof_0.3.3-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAk/Rw1EACgkQ9ijrk0dDIGwsXwCghBjf8RksC00jG54FB9EykD5M
B8cAoMqS5eHN23YmB2davHLYBf/Ga0NS
=A+fB
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 07 Jul 2012 07:35:13 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 18:53:36 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.